<meta http-equiv="X-UA-Compatible" content="IE=10" charset="UTF-8">
<!doctype html>
<html>
  <!-- Copyright (C) 2020,2021,2023 Rob Wieringa <rma.wieringa@gmail.com>

  This file is part of Dezyne-P5.
  Dezyne-P5 offers Dezyne web views based on p5.js

  Dezyne-P5 is free software, it is distributed under the terms of
  the GNU General Public Licence version 3 or later.
  See <http://www.gnu.org/licenses/>. -->
  <head>
    <title>State Diagram</title>
    <script src="https://github.com/processing/p5.js/releases/download/v1.6.0/p5.min.js"></script>
    <script src="world.js"></script>
    <script src="buildingblocks.js"></script>
    <script src="forcedirectedlayout.js"></script>
    <script src="viz.js"></script>
    <script src="diagramP5.js"></script>
    <script src="separatorP5.js"></script>

    <script src="quadTree.js"></script>
    <script src="StateDiagram/stateDiagram.js"></script>
    <script src="StateDiagram/stateDiagramP5.js"></script>

    <script src="SystemDiagram/systemDiagram.js"></script>
    <script src="SystemDiagram/systemDiagramP5.js"></script>
    <script src="SystemDiagram/ast2p5.js"></script>

    <script src="SequenceDiagram/activityBars.js"></script>
    <script src="SequenceDiagram/sequenceDiagram.js"></script>
    <script src="SequenceDiagram/sequenceDiagramP5.js"></script>

    <script src="Iframe/iframeP5.js"></script>

    <style> body{padding:0; margin:0;} </style>
  </head>
  <body style="background-color:#AAAAAA;">
    <div id="stateDiagram">
      <script src="StateDiagram/data.js"></script>
      <script>
        let S1 = new StateDiagramP5('stateDiagram');
        S1.in.draw(Data_Camera);
      </script>
    </div>
    <div id="systemDiagram">
      <script src="SystemDiagram/data.js"></script>
      <script>
        let sysData = Ast2P5.ast2data(AST);
        let S2 = new SystemDiagramP5('systemDiagram');
        S2.in.draw(sysData);
      </script>
    </div>
    <div id="sequenceDiagram">
      <script src="SequenceDiagram/data.js"></script>
      <script>
        let S3 = new SequenceDiagramP5('sequenceDiagram');
        S3.in.draw(DataSeq);
      </script>
    </div>
    <div id="iframe">
      <script>
        let S4 = new IframeP5('iframe');
        S4.in.draw('http://dezyne.org/');
    </script>

    </div>
    <div id="top">
      <script>
        let Htop = new SeparatorP5('top', true, S1, S2);
      </script>
    </div>
    <div id="bottom">
      <script>
        let Hbottom = new SeparatorP5('bottom', true, S3, S4);
      </script>
    </div>
    <div id="total">
      <script>
        let Vtotal = new SeparatorP5('total', false, Htop, Hbottom);
      </script>
    </div>
  </body>
</html>
